API DocumentationManufacturer cart item controller

Get all items in a cart

Retrieves all cart items associated with the specified cart

GET
/api/manufacturer/v1/cart-item/cart/{cartId}
AuthorizationBearer <token>

In: header

Path Parameters

cartIdinteger

ID of the cart to retrieve items for

Formatint64

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/cart-item/cart/1"
[
  {
    "id": 0,
    "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",
    "quantity": 0,
    "colorId": 0,
    "precisionPricesId": 0,
    "infillId": 0,
    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",
    "materialPricesId": 0,
    "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",
    "units": "CENTIMETERS",
    "postProcessingIds": [
      0
    ],
    "color": {
      "id": 0,
      "code": "string",
      "name": "string"
    },
    "precision": {
      "precisionPricesId": 0,
      "operatorId": 0,
      "technology": "string",
      "name": "string",
      "price": 0,
      "isActive": true,
      "effectiveFrom": "2019-08-24",
      "isDeleted": true
    },
    "infill": {
      "infillId": 0,
      "name": "string",
      "value": 0,
      "effectiveFrom": "2019-08-24",
      "default": true,
      "isDeleted": true
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]

Last updated on